webpackJsonp([7],{

/***/ "+u4K":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });

// EXTERNAL MODULE: ./node_modules/axios/index.js
var axios = __webpack_require__("mtWM");
var axios_default = /*#__PURE__*/__webpack_require__.n(axios);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/firmwareudp.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//


/* harmony default export */ var firmwareudp = ({
  data: function data() {
    return {
      firmwareList: {},
      fileList: [],
      // canUpgrade: false,
      firmList: [],
      myFile: '',
      name: '',
      cancelFlag: false,
      isUploading: false,
      uploadDiabled: true,
      progressFlag: false,
      cancel: null,
      videoUploadPercent: 0,
      excelName: '',
      downUrl: ''
    };
  },
  created: function created() {
    this.getFirmware();
    // this.getFirmwareDownUrl();
  },

  methods: {
    getFirmwareDownUrl: function getFirmwareDownUrl() {
      var _this = this;

      this.$http.getFirmwareDownUrl().then(function (res) {
        _this.downUrl = res.data.data;
      });
    },
    getFirmware: function getFirmware() {
      var _this2 = this;

      this.$http.getFirmware().then(function (res) {
        _this2.firmwareList = res.data.data;
      }).catch(function (e) {});
    },

    //文件上传
    binUpload: function binUpload() {
      var _this3 = this;

      this.isUploading = true;

      var formData = new FormData();
      formData.append('upload', this.myFile.raw);
      formData.append('path', this.myFile.name);
      var vm = this;
      axios_default.a.post(this.$http.url + 'firmware/upgrade.json', formData, {
        header: {
          'Content-Type': 'multipart/form-data'
        },
        onUploadProgress: function onUploadProgress(e) {
          vm.videoUploadPercent = Number((e.loaded / e.total * 100).toFixed(0));
          vm.progressFlag = vm.videoUploadPercent < 100 && vm.isUploading ? true : false;
          vm.cancelFlag = vm.progressFlag;
          if (parseInt(vm.videoUploadPercent) == 100) {
            vm.$showLoading(vm.$t('confirm.updating.validationTips'));
          }
        },

        cancelToken: new this.$axios.CancelToken(function executor(c) {
          vm.cancel = c;
        })
      }).then(function (res) {
        _this3.cancelUpload();
        _this3.$hideLoading();
        if (res.data.result == 'ok') {
          var config = {
            loadingTitle: _this3.$t('confirm.updating.loadingTips'),
            successTitle: _this3.$t('confirm.updating.successTips'),
            time: 15000
          };
          _this3.updatingConfirm(config);
        } else {
          _this3.$message.waring(res.data.msg);
        }
      }).catch(function (e) {
        _this3.$hideLoading();
        _this3.cancelUpload();
      });
    },
    submitUpload: function submitUpload() {
      this.$refs.upload.submit();
    },
    cancelUpload: function cancelUpload() {
      this.isUploading = false;
      this.excelName = '';
      this.progressFlag = false;
      this.cancelFlag = false;
      this.videoUploadPercent = 0;
      this.uploadDiabled = true;
      this.$refs.upload.clearFiles();
      if (this.cancel) {
        this.cancel();
      }
    },
    uploadChange: function uploadChange(file) {
      this.myFile = file;
      this.excelName = file.name;
      this.uploadDiabled = false;
      this.cancelFlag = true;
    },
    uploadVideoProcess: function uploadVideoProcess(event, file, fileList) {
      this.progressFlag = true;
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-a43a32c2","hasScoped":true,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/firmwareudp.vue
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"container"},[_c('el-row',{attrs:{"gutter":20}},[_c('el-col',{attrs:{"sm":{ span: 20, offset: 2 },"md":{ span: 16, offset: 4 },"lg":{ span: 14, offset: 5 },"xl":{ span: 12, offset: 6 }}},[_c('el-card',{staticClass:"box-card"},[_c('div',{staticClass:"clearfix text-center",attrs:{"slot":"header"},slot:"header"},[_c('span',[_c('i',{staticClass:"iconfont icon-gujianshengji pr_5"}),_vm._v("\n            "+_vm._s(_vm.$t('firmware.firmwareUpdate'))+"\n          ")])]),_vm._v(" "),_c('ul',[_c('li',[_vm._v("\n            "+_vm._s(_vm.$t('firmware.firmwareVersion'))+"：\n            "),_c('span',[_vm._v(_vm._s(_vm.firmwareList.firmwareVersion))])]),_vm._v(" "),_c('li',{staticClass:"mt_10"},[_vm._v("\n            "+_vm._s(_vm.$t('firmware.softwareVersion'))+"：\n            "),_c('span',[_vm._v(_vm._s(_vm.firmwareList.softwareVersion))])]),_vm._v(" "),_c('li',{staticClass:"mt_20"},[_c('span',[_vm._v(_vm._s(_vm.$t('firmware.firmwareTips')))])]),_vm._v(" "),_c('li',{staticClass:"mt_20 upload-box"},[_c('el-upload',{ref:"upload",staticClass:"binUpload",attrs:{"action":"","accept":".bin","show-file-list":false,"http-request":_vm.binUpload,"on-change":_vm.uploadChange,"on-progress":_vm.uploadVideoProcess,"auto-upload":false}},[_c('el-button',{staticClass:"border-color",attrs:{"slot":"trigger","size":"mini","type":"primary"},slot:"trigger"},[_vm._v(_vm._s(_vm.$t('firmware.selectFile')))]),_vm._v(" "),_c('el-button',{staticStyle:{"margin-left":"10px"},attrs:{"size":"mini","type":"success","disabled":_vm.uploadDiabled},on:{"click":_vm.submitUpload}},[_vm._v(_vm._s(_vm.$t('button.upgrade')))]),_vm._v(" "),_c('div',{staticClass:"tips"},[_vm._v(_vm._s(_vm.$t('firmware.filesTips')))]),_vm._v(" "),_c('div',{staticClass:"upload-progress"},[_c('span',{staticClass:"excelName"},[_vm._v(_vm._s(_vm.excelName ? _vm.excelName : _vm.$t('firmware.noFile')))]),_vm._v(" "),(_vm.progressFlag)?_c('el-progress',{attrs:{"percentage":_vm.videoUploadPercent}}):_vm._e(),_vm._v(" "),(_vm.cancelFlag)?_c('i',{staticClass:"el-icon-close",on:{"click":_vm.cancelUpload}}):_vm._e()],1)],1)],1)])])],1)],1)],1)}
var staticRenderFns = []
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ var components_firmwareudp = (esExports);
// CONCATENATED MODULE: ./src/components/firmwareudp.vue
function injectStyle (ssrContext) {
  __webpack_require__("2EPW")
}
var normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = "data-v-a43a32c2"
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  firmwareudp,
  components_firmwareudp,
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ var src_components_firmwareudp = __webpack_exports__["default"] = (Component.exports);


/***/ }),

/***/ "2EPW":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })

});