
local _dbg = require "coaf.debug"
local cjson = require "cjson"
local pl = require "pl.pretty"
local copy_merge = require "copy_merge"


local _M = {

}




local function network_ptz(tabs)
	PTZ = require "net_ptz"
	p = PTZ.CreateNew( tabs.protocol, tabs.addr, tabs.port )
	p:LoadProtocol(tabs.ptz_protocol)
	p:SetAddress(tabs.ptz_addr)
	return true 
end                       


local function serial_ptz(tabs)
	PTZ = require "ptz"
	p = PTZ.CreateNew( tabs.device, tabs.baudrate,tabs.startBits,tabs.endBits,tabs.parity,tabs.rtscts,tabs.xonxoff )
	p:LoadProtocol("visca")
	p:SetAddress(1)
	return true 

end 

function _M.Modify(details)
	_dbg.Info("update db,details")
	pl.dump(details)    
	--[[
	local r, err	
	if details.typ=="network" then
		r, err = network_ptz(details)
	elseif details.typ=="serial" then
		r, err = serial_ptz(details)
	else
		return false, "error ptz type"
	end

	if not r then
		return false, err
	end
	]]
	copy_merge( cfg_ptz, details )
	cfg_ptz:__TRIGGER(true)

	return true
end

function _M.GetPtzInfo(details)
	return cfg_ptz
end


function _M.Getdevices()
	local data = {}
	return data

end


function _M.GetPtzProtocol()

	local data = {"visca","pelco_d","pelco_p"}
	return data

end



return _M

--[[
--PTZ = require "net_ptz"
--p = PTZ.CreateNew( "tcp", "192.168.2.48", 5678 )
--p:LoadProtocol("visca")
--p:SetAddress(1)
--
----p:MoveLeft()
----p:StopMove()
----p:MoveRight()
----p:StopMove()
--
--
--root@832de0bd5e0b:/solar/COMMON/SUN/ptzModule# cat test/test_ptz.lua 
--PTZ = require "ptz"
--p = PTZ.CreateNew( "/dev/ttyUSB0", 9600 )
--p:LoadProtocol("visca")
--p:SetAddress(1)
--
--]]
