#!/bin/sh
PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:$PATH
rm -Rf /tmp/xdevcfg > /dev/null 2>&1
grep "working[ ]*=[ ]*[\"']decoding[\"']" /data/configs/global.conf > /dev/null 2>&1
if [ $? -eq 0 ]; then
	if [ -f /boot/dec_bit.bin ]; then
		cat /boot/dec_bit.bin > /dev/xdevcfg
		echo "/boot/dec_bit.bin" > /tmp/xdevcfg
	else
		exit 1
	fi
else
	if [ -f /boot/enc_bit.bin ]; then
		cat /boot/enc_bit.bin > /dev/xdevcfg
		echo "/boot/enc_bit.bin" > /tmp/xdevcfg
	else
		exit 1
	fi
fi

exit 0
