local _M = {

	board_led = {
		io = 906,
		blink_steps = { false, false, false, true, true, true }
	},

	tally_leds = {
		blink_steps = { false, false, false, true, true, true },
		[1] = { red = { io = 960 }, green = { io = 961 } },
		[2] = { red = { io = 962 }, green = { io = 963 } },
		[3] = { red = { io = 964 }, green = { io = 965 } },
		[4] = { red = { io = 966 }, green = { io = 967 } },
		[5] = { red = { io = 968 }, green = { io = 969 } },
		[6] = { red = { io = 970 }, green = { io = 971 } },
		[7] = { red = { io = 972 }, green = { io = 973 } },
		[8] = { red = { io = 974 }, green = { io = 975 } },
		[9] = { red = { io = 976 }, green = { io = 977 } },
		[10] = { red = { io = 978 }, green = { io = 979 } }
	},

	reset_button = {
		io = 952
	},

	on_demo = {
		on = "startup",
		stage = 1,
		stage_led_id = 1,
		steps = {
			--NOTE: false is 'on' and true is 'off'
			startup = {
				{ "red", false, "green", true },
				{ "green", false, "red", true },
				{ "green", true },
			},

			restore = {
				{ "green", false, "red", true },
				{ "red", false, "green", true },
				{ "red", true }
			},

			reset = {
				{ "green", false, "red", true },
				{ "red", false, "green", true },
				{ "green", false, "red", true },
				{ "red", false, "green", true },
			}
		}
	},

--	tally_flags = {
--		tally = false,
--		main = false,
--		preview = false
--	},

	signal = {
		tally_light_id = 1,
		red = "off",
		green = "off"
	}
}

return _M

