local coaf = require "coaf.core"
local _dbg = require "coaf.debug"
local kbd = require "mod_keyboard"
local sym = kbd.symbols
local pt = require "pl.pretty"

coaf.Init("test_kbd")

local function callback(keyboard, key, val, timestamp)
	_dbg.Info("TEST", "Key=", key, "Val=", val, " | CAPS=", keyboard.CAPSL, ", NUML=", keyboard.NUML, " | Combined keys:")
	pt.dump(keyboard.downing_keys)
end

local function Main()
	kbd.Init()
	kbd.RegisterCallback(callback)
end

coaf.Start(Main,arg)
