-- HTTP downloader using 'wget'

local function download(event,name,url,dir,file)
	os.execute( "/bin/rm -Rf " .. dir .. "/" .. file .. " > /dev/null 2>&1" )
	local f = io.popen( "/usr/bin/wget -c -P " .. dir .. " " .. url .. " 2>&1", "r" )
	if not f then
		event:Notify( "progress", { name=name, status="error", message="Fail to start downloading" } )
		return 1
	else
		event:Notify( "progress", { name=name, status="downloading",progress="1%" } )
		local l = f:read("l")
		while l do
			--TODO: Check message to get more details, but now ignore it.
			l = f:read("l")
		end
		local r,status,code = f:close()
		if not r or status ~= "exit" or code ~= 0 then
			event:Notify( "progress", { name=name, status="error", message="Download fail" } )
		else
			event:Notify( "progress", { name=name, status="done", message="Download successfully", progress="100%" } )
		end
		return code
	end
end

return download

