webpackJsonp([5],{

/***/ "4Qhe":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ "8ZAj":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });

// EXTERNAL MODULE: ./node_modules/babel-runtime/core-js/json/stringify.js
var stringify = __webpack_require__("mvHQ");
var stringify_default = /*#__PURE__*/__webpack_require__.n(stringify);

// EXTERNAL MODULE: ./node_modules/babel-runtime/helpers/extends.js
var helpers_extends = __webpack_require__("Dd8w");
var extends_default = /*#__PURE__*/__webpack_require__.n(helpers_extends);

// CONCATENATED MODULE: ./src/mixins/pagination.js
/* harmony default export */ var pagination = ({
    data: function data() {
        return {
            paginationInfo: {
                currentPage: 1,
                pageSize: 10,
                pageSizes: [5, 10, 20],
                total: 0
            }
        };
    },

    methods: {
        handleSizeChange: function handleSizeChange(val) {
            this.queryData(1, val);
            this.paginationInfo.pageSize = val;
        },
        handleCurrentChange: function handleCurrentChange(val) {
            this.queryData(val, this.paginationInfo.pageSize);
        }
    }
});
// CONCATENATED MODULE: ./src/utils/tools.js
var tools = {
  /**
   * 封装获取地址栏信息方法
   * @param
   * @returns
   */
  getUrl: function getUrl() {
    // var url = location.search; 获取url中"?"符后的字串
    var url = decodeURIComponent(window.location.search);
    var theRequest = new Object();
    if (url.indexOf("?") != -1) {
      var str = url.slice(1);
      var strs = str.split("&");
      for (var i = 0; i < strs.length; i++) {
        theRequest[strs[i].split("=")[0]] = strs[i].split("=")[1];
      }
    }
    return theRequest;
  },
  parse: function parse(json) {
    try {
      return this.isObject(json) ? json : JSON.parse(json);
    } catch (e) {
      // console.error('字符串转JSON对象失败！' + e);
      return {
        status: 'json parse fail！'
      };
    }
  },
  isObject: function isObject(o) {
    var ots = Object.prototype.toString;
    return o && (o.constructor === Object || ots.call(o) === '[object Object]');
  },
  /* 获取当前日期 */
  getNowFormatDate: function getNowFormatDate(splitStr) {
    if (typeof splitStr === 'undefined') {
      splitStr = '-';
    }
    var date = new Date();
    var month = date.getMonth() + 1;
    var strDate = date.getDate();
    if (month >= 1 && month <= 9) {
      month = '0' + month;
    }
    if (strDate >= 0 && strDate <= 9) {
      strDate = '0' + strDate;
    }
    var currentDate = date.getFullYear() + splitStr + month + splitStr + strDate;
    return currentDate;
  },
  // format dateTime "yyyy-MM-dd HH:mm:ss"
  dateFormat: function dateFormat(dateTime) {
    var fmt = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'yyyy-MM-dd hh:mm:ss';

    var o = {
      "M+": dateTime.getMonth() + 1, //月份 
      "d+": dateTime.getDate(), //日 
      "h+": dateTime.getHours(), //小时 
      "m+": dateTime.getMinutes(), //分 
      "s+": dateTime.getSeconds(), //秒 
      "q+": Math.floor((dateTime.getMonth() + 3) / 3), //季度 
      "S": dateTime.getMilliseconds() //毫秒 
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (dateTime.getFullYear() + "").substr(4 - RegExp.$1.length));
    for (var k in o) {
      if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
    }return fmt;
  },

  /**
  验证身份证是否有效
  参数
   num:'420984198007262347'  //  身份证号
   birth:'19800726'  //  出生日期
   sex:'F'  //  性别
  返回值
   1:验证通过;
   -1:身份证格式不正确;
   -2:身份证号跟出生日期不匹配;
   -3:身份证号跟性别不匹配;
   **/
  isIdCardNo: function isIdCardNo(num, birth, sex) {
    num = num.toUpperCase();
    birth = birth || '';
    sex = sex || '';
    //  身份证号码为15位或者18位，15位时全为数字，18位前17位为数字，最后一位是校验位，可能为数字或字符X。
    if (!/^(\d{17})([0-9]|X)$/.test(num)) {
      console.log('输入的身份证号长度不对，或者号码不符合规定！18位号码末位可以为数字或X。');
      return -1;
    }
    //  校验位按照ISO 7064:1983.MOD 11-2的规定生成，X可以认为是数字10。
    //  下面分别分析出生日期和校验位
    var len, re;
    len = num.length;
    if (len === 18) {
      re = new RegExp(/^(\d{6})(\d{4})(\d{2})(\d{2})(\d{3})([0-9]|X)$/);
      var arrSplit = num.match(re);

      //  检查生日日期是否正确
      var dtmBirth = new Date(arrSplit[2] + '/' + arrSplit[3] + '/' + arrSplit[4]);
      var bGoodDay = dtmBirth.getFullYear() === Number(arrSplit[2]) && dtmBirth.getMonth() + 1 === Number(arrSplit[3]) && dtmBirth.getDate() === Number(arrSplit[4]);
      if (!bGoodDay) {
        console.log('输入的身份证号里出生日期不对！');
        return -1;
      } else {
        //  检验18位身份证的校验码是否正确。
        //  校验位按照ISO 7064:1983.MOD 11-2的规定生成，X可以认为是数字10。
        var valnum;
        var arrInt = [7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2];
        var arrCh = ['1', '0', 'X', '9', '8', '7', '6', '5', '4', '3', '2'];
        var nTemp = 0;
        for (var i = 0; i < 17; i++) {
          nTemp += num.substr(i, 1) * arrInt[i];
        }
        valnum = arrCh[nTemp % 11];
        if (valnum !== num.substr(17, 1)) {
          console.log('18位身份证的校验码不正确！应该为：' + valnum);
          return -1;
        }

        //  检查出生日期是否匹配
        if (birth !== '') {
          birth = new Date(birth.replace(/-/g, '/'));
          if (birth.getFullYear() !== Number(arrSplit[2]) || birth.getMonth() + 1 !== Number(arrSplit[3]) || birth.getDate() !== Number(arrSplit[4])) {
            console.log('出生日期不匹配！');
            return -2;
          }
        }
        //  检查性别是否匹配
        if (sex !== '') {
          var sexNo = num.substring(16, 17) % 2;
          if (sexNo === 0 && sex !== 'F' || sexNo !== 0 && sex !== 'M') {
            console.log('性别不匹配！');
            return -3;
          }
        }
      }
    } else {
      return -1;
    }
    return 1;
  },

  /**
  验证邮政编码和验证码
  **/
  isZipCode: function isZipCode(num) {
    // if (!(/^[1-9][0-9]{5}$/.test(num))) {
    if (!/^[0-9]{6}$/.test(num)) {
      return false;
    }
    return true;
  },

  /**
  验证手机号
  **/
  isPhone: function isPhone(num) {
    if (!/^1[3456789]\d{9}$/.test(num)) {
      return false;
    }
    return true;
  },

  /**
  验证数字
  **/
  isNumber: function isNumber(num) {
    if (!/^[0-9]*$/.test(num)) {
      return false;
    }
    return true;
  },

  /**
   过滤非数字
   **/
  filterUnNumber: function filterUnNumber(num) {
    if (num !== '') {
      var reg = /[0-9]*/g;
      var numList = num.match(reg);
      num = numList.join('');
    }
    return num;
  },

  /**
   过滤换行符
   **/
  filterWrap: function filterWrap(str) {
    return str.replace(/<\/br>/g, '').replace(/\n/g, ' ').replace(/\r/g, ' ');
  },

  /**
  验证金额(格式保留一到两位小数)
  **/
  isMoney: function isMoney(num) {
    if (!/^(([1-9]{1}\d*)|([0]{1}))(\.(\d){1,2})?$/.test(num)) {
      return false;
    }
    return true;
  },
  isEmail: function isEmail(str) {
    if (!/^([a-zA-Z]|[0-9])(\w|\-)+@[a-zA-Z0-9]+\.([a-zA-Z]{2,4})$/.test(str)) {
      return false;
    }
    return true;
  },

  //获取中间所有日期的方法
  getAll: function getAll(begin, end) {
    // 开始日期和结束日期
    if (!begin || !end) {
      // 去除空的可能性
      console.log('有时间为空');
      return false;
    }
    // 在时间Date的原型中定义一个format方法
    Date.prototype.format = function () {
      var s = ""; // 定义一个字符串，目的，要时间格式按照我们的要求拼接
      var month = this.getMonth() + 1;
      var day = this.getDate();
      s += this.getFullYear() + "-";
      s += month + "-";
      s += day;
      return s; // 得到的格式如 "2018-11-20" 
    };
    var ab = begin.split('/'); // 把日期参数分割，注意，如果以'/'连接，则分割'/'
    var ae = end.split('/');
    var db = new Date();
    db.setUTCFullYear(ab[0], ab[1] - 1, ab[2]); // 返回符合UTC的时间格式
    var de = new Date();
    de.setUTCFullYear(ae[0], ae[1] - 1, ae[2]);
    var unixDb = db.getTime();
    var unixDe = de.getTime();
    var arr = [];
    for (var k = unixDb; k <= unixDe;) {
      arr.push(new Date(parseInt(k)).format());
      k = k + 24 * 60 * 60 * 1000;
    }
    return arr; // 返回两个日期之间的所有日期数组。
  },
  trim: function trim(str) {
    return str.replace(/(^\s*)|(\s*$)/g, "");
  }
};
/* harmony default export */ var utils_tools = (tools);
// EXTERNAL MODULE: ./node_modules/vuex/dist/vuex.esm.js
var vuex_esm = __webpack_require__("NYxO");

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/authDialog.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var authDialog = ({
  name: 'authDialog',
  data: function data() {
    return {
      visible: true,
      verification: false
    };
  },
  created: function created() {
    this.getData();
  },

  methods: {
    getData: function getData() {
      var _this = this;

      this.$http.getVerification().then(function (res) {
        _this.verification = res.data.data.verification;
      }).catch(function (e) {});
    },
    handleClose: function handleClose() {
      this.visible = false;
      this.$emit('change', false);
    },
    submitOk: function submitOk() {
      var _this2 = this;

      var params = {
        verification: this.verification
      };
      this.$http.setVerification(params).then(function (res) {
        _this2.$message.success(_this2.$t('tips.modifiedSuccess'));
        _this2.handleClose();
      });
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-5724ecc0","hasScoped":true,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/authDialog.vue
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',[_c('el-dialog',{attrs:{"title":"HTTP API Authorization","width":"500px","before-close":_vm.handleClose,"visible":_vm.visible,"center":""},on:{"update:visible":function($event){_vm.visible=$event}}},[_c('div',{staticClass:"color_waring"},[_vm._v(_vm._s(_vm.$t('tips.authTips')))]),_vm._v(" "),_c('el-form',{staticClass:"mt_10",attrs:{"label-width":"140px"}},[_c('el-form-item',[_c('el-switch',{attrs:{"size":"mini","active-text":_vm.$t('users.open'),"inactive-text":_vm.$t('users.close'),"active-color":"#13ce66"},model:{value:(_vm.verification),callback:function ($$v) {_vm.verification=$$v},expression:"verification"}})],1)],1),_vm._v(" "),_c('div',{staticClass:"dialog-footer"},[_c('el-button',{attrs:{"type":"primary","size":"mini"},on:{"click":_vm.submitOk}},[_vm._v(_vm._s(_vm.$t('button.ok')))]),_vm._v(" "),_c('el-button',{attrs:{"type":"danger","size":"mini"},on:{"click":_vm.handleClose}},[_vm._v(_vm._s(_vm.$t('button.close')))])],1)],1)],1)}
var staticRenderFns = []
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ var components_authDialog = (esExports);
// CONCATENATED MODULE: ./src/components/authDialog.vue
function injectStyle (ssrContext) {
  __webpack_require__("oW6c")
}
var normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = "data-v-5724ecc0"
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  authDialog,
  components_authDialog,
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ var src_components_authDialog = (Component.exports);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/users.vue


//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

//分页




/* harmony default export */ var users = ({
	mixins: [pagination],
	name: "",
	data: function data() {
		var _this = this;

		var idValid = function idValid(rule, value, callback) {
			if (!value) {
				return callback(new Error(_this.$t("formValidte.userReq")));
			} else {
				return callback();
			}
		};
		var aliasValid = function aliasValid(rule, value, callback) {
			if (!value) {
				return callback(new Error(_this.$t("formValidte.aliasReq")));
			} else {
				return callback();
			}
		};
		var newpwdValid = function newpwdValid(rule, value, callback) {
			if (_this.dialogType == "edit") {
				return callback();
			}
			if (!_this.userForm.password) {
				return callback(new Error(_this.$t("formValidte.pwdReq")));
			} else if (_this.userForm.confirmNewPassword) {
				_this.$refs.userForm.validateField("confirmNewPasswordValid");
				return callback();
			} else {
				return callback();
			}
		};
		var confirmNewPasswordValid = function confirmNewPasswordValid(rule, value, callback) {
			if (_this.dialogType == "edit") {
				return callback();
			}
			if (!_this.userForm.confirmNewPassword) {
				return callback(new Error(_this.$t("formValidte.conpwdReq")));
			} else if (_this.userForm.confirmNewPassword !== _this.userForm.password) {
				return callback(new Error(_this.$t("formValidte.twoPwdReq")));
			} else {
				return callback();
			}
		};
		return {
			userList: [],
			multipleSelection: [],
			formTitle: "users.addUser",
			formVisible: false,
			dialogType: "add",
			userForm: {
				id: "",
				alias: "",
				password: "",
				confirmNewPassword: "",
				web: true,
				api: true
			},
			newUserRules: {
				id: [{
					required: true,
					validator: idValid,
					trigger: "blur"
				}],
				alias: [{
					required: true,
					validator: aliasValid,
					trigger: "blur"
				}],
				password: [{
					required: true,
					validator: newpwdValid,
					trigger: "blur"
				}],
				confirmNewPassword: [{
					required: true,
					validator: confirmNewPasswordValid,
					trigger: "blur"
				}]
			},
			authDialogVisible: false
		};
	},

	components: {
		authDialog: src_components_authDialog
	},
	created: function created() {
		this.queryData();
	},

	computed: extends_default()({}, Object(vuex_esm["c" /* mapState */])(["loginInfo"])),
	methods: {
		//查询数据
		queryData: function queryData() {
			var _this2 = this;

			var pageNum = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 1;
			var pageSize = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 10;

			this.$http.getUserList().then(function (res) {
				_this2.userList = res.data.data;
				//数据总数量
				_this2.paginationInfo.total = _this2.userList.length;
			}).catch(function (e) {});
		},

		//checkbox选择
		handleSelectionChange: function handleSelectionChange(val) {
			this.multipleSelection = val;
		},

		//全选时禁止某项选中
		checkSelectable: function checkSelectable(row) {
			return row.id != "admin";
		},

		//删除
		doDelete: function doDelete(row) {
			var params = {
				ids: row.id
			};
			this.removeHTTP(params);
		},

		//批量删除
		batchDelete: function batchDelete() {
			if (!this.multipleSelection.length) {
				return this.$message.warning(this.$t("tips.leastOne"));
			}
			var userArr = [];
			this.multipleSelection.forEach(function (v) {
				userArr.push(v.id);
			});
			var params = {
				ids: userArr
			};
			this.removeHTTP(params);
		},

		//删除数据提交
		removeHTTP: function removeHTTP(params) {
			var _this3 = this;

			this.$confirm(this.$t("users.deleteUsers"), this.$t("tips.tips"), {
				confirmButtonText: this.$t("button.ok"),
				cancelButtonText: this.$t("button.cancel"),
				type: "warning"
			}).then(function () {
				params = _this3.$dataConversion.dataConversion(params);
				_this3.$http.removeUser(params).then(function (res) {
					_this3.queryData();
					_this3.$message.success(_this3.$t("tips.deleteSuccess"));
				}).catch(function (e) {});
			}).catch(function (e) {});
			//对象数组转为数组提交给后台
		},

		//表单提交
		submitForm: function submitForm(val) {
			var _this4 = this;

			var vm = this;
			this.$refs.userForm.validate(function (valid) {
				if (valid) {
					if (vm.dialogType == "add") {
						vm.$http.addUser(vm.userForm).then(function (res) {
							vm.$message.success(_this4.$t("tips.addSuccess"));
							vm.handleClose();
						}).catch(function (e) {});
					} else {
						vm.$http.modifyUser(vm.userForm).then(function (res) {
							vm.$message.success(_this4.$t("tips.modifiedSuccess"));
							if (vm.loginInfo.user == vm.userForm.id && vm.dialogType == 'pwd') {
								_this4.loginOut();
								return false;
							}
							vm.handleClose();
						}).catch(function (e) {});
					}
				}
			});
		},
		loginOut: function loginOut() {
			var _this5 = this;

			setTimeout(function () {
				_this5.$router.push({
					path: '/login'
				});
			}, 2000);
		},

		//弹出框显示
		openDialog: function openDialog(row, type) {
			this.formVisible = true;
			if (row) {
				this.userForm = JSON.parse(stringify_default()(row));
				if (type == "changepwd") {
					this.formTitle = "button.changePassword";
					this.dialogType = "pwd";
				} else {
					this.formTitle = "button.edit";
					this.dialogType = "edit";
				}
			} else {
				this.formTitle = "users.addUser";
				this.dialogType = "add";
			}
		},

		//弹出框关闭
		handleClose: function handleClose() {
			this.queryData();
			this.formVisible = false;
			this.userForm = this.$options.data().userForm;
			this.$refs.userForm.resetFields();
		},

		//http api authDialogOpen
		authDialogOpen: function authDialogOpen() {
			this.authDialogVisible = true;
		},
		authChange: function authChange(val) {
			this.authDialogVisible = val;
		}
	}
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-17b51fb2","hasScoped":true,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/users.vue
var users_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"container user-page"},[_c('el-row',{attrs:{"gutter":20}},[_c('el-col',{attrs:{"sm":{span: 20,offset: 2},"md":{span: 16,offset: 4},"lg":{span: 14,offset: 5},"xl":{span: 12,offset: 6}}},[_c('el-card',{staticClass:"box-card user-container"},[_c('div',{staticClass:"clearfix text-center header_container",attrs:{"slot":"header"},slot:"header"},[_c('span',{staticClass:"header_left"},[_c('el-button',{attrs:{"size":"mini","disabled":_vm.loginInfo.user!='admin',"type":"danger"},on:{"click":function($event){return _vm.batchDelete()}}},[_vm._v(_vm._s(_vm.$t("button.batchDeletion")))]),_vm._v(" "),_c('el-button',{attrs:{"size":"mini","type":"success","title":_vm.$t('users.addUser')},on:{"click":function($event){return _vm.openDialog()}}},[_c('span',{staticClass:"el-icon-plus"})])],1),_vm._v(" "),_c('span',[_c('i',{staticClass:"iconfont icon-yonghu1 pr_5"}),_vm._v(_vm._s(_vm.$t("users.userList")))]),_vm._v(" "),_c('span',{staticClass:"header-right_box"},[_vm._v("HTTP API Authorization "),_c('i',{staticClass:"el-icon-setting cursor_pointer",on:{"click":function($event){return _vm.authDialogOpen()}}})])]),_vm._v(" "),_c('el-table',{ref:"multipleTable",staticStyle:{"width":"100%"},attrs:{"data":_vm.userList,"center":"","tooltip-effect":"dark"},on:{"selection-change":_vm.handleSelectionChange}},[_c('el-table-column',{attrs:{"type":"selection","selectable":_vm.checkSelectable,"width":"50"}}),_vm._v(" "),_c('el-table-column',{attrs:{"prop":"id","label":_vm.$t('users.userName'),"align":"center","min-width":"50px"}}),_vm._v(" "),_c('el-table-column',{attrs:{"prop":"alias","label":_vm.$t('users.alias'),"align":"center","min-width":"40px"}}),_vm._v(" "),_c('el-table-column',{attrs:{"prop":"create_time","label":_vm.$t('users.createTime'),"align":"center","min-width":"90px"}}),_vm._v(" "),_c('el-table-column',{attrs:{"label":_vm.$t('users.operation'),"align":"left","min-width":"100px"},scopedSlots:_vm._u([{key:"default",fn:function(scpoe){return [(_vm.loginInfo.user==scpoe.row.id || _vm.loginInfo.user=='admin')?_c('el-button',{attrs:{"type":"primary","size":"mini","icon":"el-icon-bell"},on:{"click":function($event){return _vm.openDialog(scpoe.row,'changepwd')}}}):_vm._e(),_vm._v(" "),(_vm.loginInfo.user==scpoe.row.id || _vm.loginInfo.user=='admin')?_c('el-button',{attrs:{"type":"primary","size":"mini","icon":"el-icon-edit"},on:{"click":function($event){return _vm.openDialog(scpoe.row)}}}):_vm._e(),_vm._v(" "),(_vm.loginInfo.user=='admin'&&scpoe.row.id!='admin')?_c('el-button',{attrs:{"type":"danger","size":"mini","icon":"el-icon-delete"},on:{"click":function($event){return _vm.doDelete(scpoe.row)}}}):_vm._e()]}}])})],1),_vm._v(" "),_c('div',{staticClass:"pagination clearfix"},[_c('el-pagination',{staticClass:"fr",attrs:{"background":"","current-page":_vm.paginationInfo.currentPage,"page-sizes":_vm.paginationInfo.pageSizes,"page-size":_vm.paginationInfo.pageSize,"layout":"total, prev, pager, next, sizes","total":_vm.paginationInfo.total},on:{"size-change":_vm.handleSizeChange,"current-change":_vm.handleCurrentChange}},[_c('span',{attrs:{"slot":"total"},slot:"total"})])],1)],1)],1)],1),_vm._v(" "),_c('el-dialog',{attrs:{"title":_vm.$t(_vm.formTitle),"visible":_vm.formVisible,"width":"550px","before-close":_vm.handleClose,"center":""},on:{"update:visible":function($event){_vm.formVisible=$event}}},[_c('el-form',{ref:"userForm",attrs:{"model":_vm.userForm,"label-width":"150px","rules":_vm.newUserRules}},[_c('el-form-item',{attrs:{"prop":"id","label":_vm.$t('users.userName')}},[_c('el-input',{attrs:{"size":"mini","placeholder":_vm.$t('users.userName'),"disabled":_vm.dialogType!='add'},model:{value:(_vm.userForm.id),callback:function ($$v) {_vm.$set(_vm.userForm, "id", $$v)},expression:"userForm.id"}})],1),_vm._v(" "),(_vm.dialogType!='pwd')?_c('el-form-item',{attrs:{"prop":"alias","label":_vm.$t('users.alias')}},[_c('el-input',{attrs:{"size":"mini","placeholder":_vm.$t('users.alias')},model:{value:(_vm.userForm.alias),callback:function ($$v) {_vm.$set(_vm.userForm, "alias", $$v)},expression:"userForm.alias"}})],1):_vm._e(),_vm._v(" "),(_vm.dialogType!='edit')?_c('el-form-item',{attrs:{"prop":"password","label":_vm.$t('users.newPassword')}},[_c('el-input',{attrs:{"type":"password","size":"mini","placeholder":_vm.$t('users.newPassword')},model:{value:(_vm.userForm.password),callback:function ($$v) {_vm.$set(_vm.userForm, "password", $$v)},expression:"userForm.password"}})],1):_vm._e(),_vm._v(" "),(_vm.dialogType!='edit')?_c('el-form-item',{attrs:{"prop":"confirmNewPassword","label":_vm.$t('users.confirmNewPassword')}},[_c('el-input',{attrs:{"type":"password","size":"mini","placeholder":_vm.$t('users.confirmNewPassword')},model:{value:(_vm.userForm.confirmNewPassword),callback:function ($$v) {_vm.$set(_vm.userForm, "confirmNewPassword", $$v)},expression:"userForm.confirmNewPassword"}})],1):_vm._e(),_vm._v(" "),(_vm.dialogType!='pwd')?_c('el-form-item',{attrs:{"label":_vm.$t('users.allow')}},[_c('el-checkbox',{attrs:{"disabled":_vm.userForm.id=='admin'&&_vm.dialogType=='edit'},model:{value:(_vm.userForm.web),callback:function ($$v) {_vm.$set(_vm.userForm, "web", $$v)},expression:"userForm.web"}},[_vm._v(_vm._s(_vm.$t('users.web')))]),_vm._v(" "),_c('el-checkbox',{model:{value:(_vm.userForm.api),callback:function ($$v) {_vm.$set(_vm.userForm, "api", $$v)},expression:"userForm.api"}},[_vm._v("HTTP API")])],1):_vm._e()],1),_vm._v(" "),_c('div',{staticClass:"dialog-footer"},[_c('el-button',{attrs:{"type":"primary","size":"mini"},on:{"click":_vm.submitForm}},[_vm._v(_vm._s(_vm.$t("button.ok")))]),_vm._v(" "),_c('el-button',{attrs:{"type":"danger","size":"mini"},on:{"click":_vm.handleClose}},[_vm._v(_vm._s(_vm.$t("button.cancel")))])],1)],1),_vm._v(" "),(_vm.authDialogVisible)?_c('authDialog',{on:{"change":_vm.authChange}}):_vm._e()],1)}
var users_staticRenderFns = []
var users_esExports = { render: users_render, staticRenderFns: users_staticRenderFns }
/* harmony default export */ var components_users = (users_esExports);
// CONCATENATED MODULE: ./src/components/users.vue
function users_injectStyle (ssrContext) {
  __webpack_require__("4Qhe")
}
var users_normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var users___vue_template_functional__ = false
/* styles */
var users___vue_styles__ = users_injectStyle
/* scopeId */
var users___vue_scopeId__ = "data-v-17b51fb2"
/* moduleIdentifier (server only) */
var users___vue_module_identifier__ = null
var users_Component = users_normalizeComponent(
  users,
  components_users,
  users___vue_template_functional__,
  users___vue_styles__,
  users___vue_scopeId__,
  users___vue_module_identifier__
)

/* harmony default export */ var src_components_users = __webpack_exports__["default"] = (users_Component.exports);


/***/ }),

/***/ "oW6c":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })

});