local _M = {
	SET_DATETIME = "/bin/date",
	UDEVADM = "/bin/udevadm",

	NTP_CLI = "/usr/sbin/ntpd",
	
	NTP_CLI_ARGS = function(servers)
		local args = { "-n" }
		local i
		for i=1, #servers do
			table.insert( args, "-p" )
			table.insert( args, servers[i] )
		end
		return args
	end,

	NTP_SVR = "/usr/sbin/ntpd",
	NTP_SVR_ARGS = function()
		return { "-n", "-l" }
	end,

	READLINK = "/usr/bin/readlink"
}

return _M

